# Generated by Django 5.1.3 on 2025-01-04 08:48

import django.db.models.deletion
import django_ckeditor_5.fields
import django_countries.fields
import django_extensions.db.fields
import modelcluster.fields
import uuid
import wagtail.fields
import wagtail_color_panel.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailcore', '0094_alter_page_locale'),
        ('wagtailimages', '0027_image_description'),
    ]

    operations = [
        migrations.CreateModel(
            name='CustomTag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True, verbose_name='name')),
                ('slug', models.SlugField(allow_unicode=True, max_length=100, unique=True, verbose_name='slug')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG Color')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG Color')),
            ],
            options={
                'verbose_name': 'Tag',
                'verbose_name_plural': 'Tags',
            },
        ),
        migrations.CreateModel(
            name='Footer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='Footer', max_length=200)),
                ('body', wagtail.fields.StreamField([('row', 35)], blank=True, block_lookup={0: ('wagtail.blocks.CharBlock', (), {'default': '50%', 'required': False}), 1: ('wagtail.blocks.BooleanBlock', (), {'default': True, 'required': False}), 2: ('wagtail.blocks.CharBlock', (), {}), 3: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 4: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 5: ('wagtail.blocks.StructBlock', [[('title', 2), ('alignment', 3), ('size', 4)]], {'required': False}), 6: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'BG Color', 'required': False}), 7: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'One Color', 'required': False}), 8: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'Two Color', 'required': False}), 9: ('wagtail.blocks.StructBlock', [[('oneColor', 7), ('twoColor', 8)]], {}), 10: ('wagtail.blocks.CharBlock', (), {'required': False}), 11: ('wagtail.blocks.CharBlock', (), {'default': '100', 'label': 'Width (px)'}), 12: ('wagtail.blocks.CharBlock', (), {'default': '4', 'label': 'Thickness (px)'}), 13: ('wagtail.blocks.DecimalBlock', (), {'default': 0, 'label': 'Top (px)'}), 14: ('wagtail.blocks.DecimalBlock', (), {'default': 8, 'label': 'Bottom (px)'}), 15: ('wagtail.blocks.StructBlock', [[('top', 13), ('bottom', 14)]], {}), 16: ('wagtail.blocks.StructBlock', [[('color', 6), ('double_color', 9), ('gradient', 10), ('width', 11), ('thickness', 12), ('margin', 15)]], {'label': 'HR Line', 'required': False}), 17: ('wagtail.blocks.CharBlock', (), {'label': 'Line Break', 'readOnly': True, 'required': False}), 18: ('wagtail.blocks.RichTextBlock', (), {}), 19: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'label': 'Line Spacing', 'required': False}), 20: ('wagtail.blocks.StructBlock', [[('text', 18), ('alignment', 3), ('size', 4), ('line_space', 19)]], {'required': False}), 21: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'core.social'}), 22: ('wagtail.blocks.StreamBlock', [[('social_link', 21)]], {'required': False}), 23: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'core.companyinfo'}), 24: ('wagtail.blocks.StreamBlock', [[('info', 23)]], {'required': False}), 25: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'core.compolicy'}), 26: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 27: ('wagtail.blocks.PageChooserBlock', ('ecom.CategoryPage',), {}), 28: ('wagtail.blocks.StructBlock', [[('category', 27), ('label', 10)]], {'required': False}), 29: ('wagtail.blocks.PageChooserBlock', (), {'required': False}), 30: ('wagtail.blocks.StreamBlock', [[('heading', 5), ('paragraph', 20), ('social', 22), ('company', 24), ('policy', 25), ('image', 26), ('category', 28), ('link', 29)]], {}), 31: ('wagtail.blocks.StructBlock', [[('width', 0), ('content', 30)]], {'required': False}), 32: ('wagtail.blocks.StreamBlock', [[('column', 31)]], {'required': False}), 33: ('wagtail.blocks.StreamBlock', [[('heading', 5), ('hr_line', 16), ('line_break', 17), ('paragraph', 20), ('social', 22), ('company', 24), ('policy', 25), ('sub_row', 32), ('image', 26), ('category', 28), ('link', 29)]], {'required': False}), 34: ('wagtail.blocks.StructBlock', [[('width', 0), ('show_in_mobile', 1), ('content', 33)]], {'required': False}), 35: ('wagtail.blocks.StreamBlock', [[('column', 34)]], {})}, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Menu',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='Name')),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from='name')),
            ],
            options={
                'verbose_name_plural': 'Deals (Menu)',
            },
        ),
        migrations.CreateModel(
            name='PolicyType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('plcType', models.CharField(max_length=255, unique=True, verbose_name='Policy Type')),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from='plcType')),
            ],
            options={
                'verbose_name_plural': 'Policy Type',
            },
        ),
        migrations.CreateModel(
            name='SocialType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('scType', models.CharField(max_length=255, unique=True, verbose_name='Social Type')),
            ],
            options={
                'verbose_name_plural': 'Social Type',
                'db_table': 'common_scType',
            },
        ),
        migrations.CreateModel(
            name='Subscriber',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=254, verbose_name='Email')),
                ('subsDate', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='TopHeader',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(choices=[('Top Header', 'Top Header'), ('Header', 'Header'), ('Bottom Menu', 'Bottom Menu'), ('Burger Menu', 'Burger Menu')], max_length=200, unique=True)),
                ('size', models.CharField(blank=True, choices=[('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], max_length=200, null=True)),
                ('content', wagtail.fields.StreamField([('row', 36)], blank=True, block_lookup={0: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 1: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 2: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'Hover BG Color'}), 3: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'Hover FG Color'}), 4: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'core.companyinfo'}), 5: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'core.social'}), 6: ('wagtail.blocks.StreamBlock', [[('item', 5)]], {}), 7: ('wagtail.blocks.PageChooserBlock', (), {'required': False}), 8: ('wagtail.blocks.BooleanBlock', (), {'default': False, 'required': False}), 9: ('wagtail.blocks.IntegerBlock', (), {'default': 5, 'label': 'News Scroll Time in seconds', 'required': False}), 10: ('wagtail.blocks.CharBlock', (), {}), 11: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 12: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 13: ('wagtail.blocks.StructBlock', [[('title', 10), ('alignment', 11), ('size', 12)]], {'required': False}), 14: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'BG Color', 'required': False}), 15: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'One Color', 'required': False}), 16: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'Two Color', 'required': False}), 17: ('wagtail.blocks.StructBlock', [[('oneColor', 15), ('twoColor', 16)]], {}), 18: ('wagtail.blocks.CharBlock', (), {'required': False}), 19: ('wagtail.blocks.DecimalBlock', (), {'default': 100, 'label': 'Width (px)'}), 20: ('wagtail.blocks.DecimalBlock', (), {'default': 4, 'label': 'Thickness (px)'}), 21: ('wagtail.blocks.DecimalBlock', (), {'default': 0, 'label': 'Top (px)'}), 22: ('wagtail.blocks.DecimalBlock', (), {'default': 8, 'label': 'Bottom (px)'}), 23: ('wagtail.blocks.StructBlock', [[('top', 21), ('bottom', 22)]], {}), 24: ('wagtail.blocks.StructBlock', [[('color', 14), ('double_color', 17), ('gradient', 18), ('width', 19), ('thickness', 20), ('margin', 23)]], {'required': False}), 25: ('wagtail.blocks.CharBlock', (), {'label': 'Line Break', 'readOnly': True, 'required': False}), 26: ('wagtail.blocks.StructBlock', [[('line_break', 25)]], {'required': False}), 27: ('wagtail.images.blocks.ImageBlock', [], {}), 28: ('wagtail.blocks.StructBlock', [[('image', 27), ('page', 7), ('text', 18)]], {'label': 'Thumbnail'}), 29: ('wagtail.blocks.StreamBlock', [[('heading', 13), ('hr_line', 24), ('line_break', 26), ('page', 7), ('show_cat', 8), ('show_price', 8), ('show_feature', 8), ('show_brand', 8), ('option', 28)]], {'required': False}), 30: ('wagtail.blocks.StreamBlock', [[('col', 29)]], {'required': False}), 31: ('wagtail.blocks.StructBlock', [[('page', 7), ('body', 30)]], {}), 32: ('wagtail.blocks.StreamBlock', [[('page', 7)]], {}), 33: ('wagtail.blocks.StructBlock', [[('page', 7), ('content', 32)]], {}), 34: ('wagtail.blocks.StreamBlock', [[('company', 4), ('social', 6), ('page', 7), ('show_search', 8), ('show_burger_menu', 8), ('show_news', 9), ('mega_menu', 31), ('accordion', 33)]], {'required': False}), 35: ('wagtail.blocks.StreamBlock', [[('column', 34)]], {}), 36: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('hoverBgColor', 2), ('hoverFgColor', 3), ('content', 35)]], {})}, null=True)),
            ],
            options={
                'verbose_name': 'Header & Menu',
            },
        ),
        migrations.CreateModel(
            name='BottomFooter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bgColor', wagtail_color_panel.fields.ColorField(default='#FFFFFF', max_length=7, verbose_name='BG')),
                ('fgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='FG')),
                ('size', models.CharField(blank=True, choices=[('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], max_length=200, null=True)),
                ('content', wagtail.fields.StreamField([('row', 8)], blank=True, block_lookup={0: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'core.social'}), 1: ('wagtail.blocks.StreamBlock', [[('item', 0)]], {}), 2: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'core.companyinfo'}), 3: ('wagtail.blocks.CharBlock', (), {}), 4: ('wagtail.blocks.RichTextBlock', (), {}), 5: ('wagtail.blocks.URLBlock', (), {}), 6: ('wagtail.blocks.StructBlock', [[('text', 3), ('url', 5)]], {}), 7: ('wagtail.blocks.StreamBlock', [[('social', 1), ('company', 2), ('heading', 3), ('paragraph', 4), ('link', 6)]], {'required': False}), 8: ('wagtail.blocks.StreamBlock', [[('column', 7)]], {})}, null=True)),
                ('site', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='wagtailcore.site')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CompanyInfo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ciType', models.CharField(choices=[('Name', 'Name'), ('Address', 'Address'), ('Email', 'Email'), ('Contact', 'Contact'), ('Logo', 'Logo')], max_length=200, null=True, verbose_name='Info Type')),
                ('ciName', models.CharField(blank=True, max_length=200, null=True, verbose_name='Name')),
                ('ciTitle', models.CharField(blank=True, max_length=200, null=True, verbose_name='Title')),
                ('ciLogoText', models.CharField(blank=True, max_length=250, null=True, verbose_name='Logo Text')),
                ('ciBody', wagtail.fields.StreamField([('text', 0), ('paragraph', 1)], blank=True, block_lookup={0: ('wagtail.blocks.CharBlock', (), {}), 1: ('wagtail.blocks.RichTextBlock', (), {})}, null=True, verbose_name='Body')),
                ('ciLogo', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Logo')),
            ],
            options={
                'verbose_name_plural': 'Company Info',
                'ordering': ['ciTitle'],
            },
        ),
        migrations.CreateModel(
            name='CurrencySettings',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('currency', models.CharField(help_text='INR,USD,etc...', max_length=255)),
                ('icon', models.CharField(help_text='Choosefrom boxicons', max_length=255)),
                ('site', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='wagtailcore.site')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Enquiry',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True, verbose_name='Public identifier')),
                ('enqName', models.CharField(blank=True, max_length=100, null=True)),
                ('enqEmail', models.EmailField(blank=True, max_length=254, null=True)),
                ('enqContact', models.CharField(blank=True, max_length=20, null=True)),
                ('enqCompany', models.CharField(blank=True, max_length=100, null=True)),
                ('enqMessage', models.TextField(blank=True, null=True)),
                ('enqCreatedOn', models.DateTimeField(auto_now_add=True)),
                ('enqStatus', models.CharField(blank=True, default='Pending', max_length=100, null=True)),
                ('enqProduct', models.CharField(blank=True, max_length=200, null=True)),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='replies', to='core.enquiry')),
            ],
            options={
                'ordering': ['-enqCreatedOn'],
            },
        ),
        migrations.CreateModel(
            name='FollowUp',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True, verbose_name='Public identifier')),
                ('detail', wagtail.fields.RichTextField(blank=True, null=True)),
                ('assignTo', models.CharField(blank=True, max_length=200, null=True)),
                ('remarks', models.TextField(blank=True, null=True)),
                ('enqCreatedOn', models.DateTimeField(auto_now_add=True)),
                ('enquiry', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.enquiry')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='replie_follow', to='core.followup')),
            ],
            options={
                'ordering': ['-enqCreatedOn'],
            },
        ),
        migrations.CreateModel(
            name='MenuItems',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('title', models.CharField(blank=True, max_length=200, null=True, verbose_name='Title')),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from='title')),
                ('menu', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='menu_items', to='core.menu')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ComPolicy',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('plcCountry', django_countries.fields.CountryField(max_length=2, verbose_name='Country')),
                ('title', models.CharField(blank=True, max_length=200, null=True, verbose_name='Country Policy Title')),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from='title')),
                ('text', django_ckeditor_5.fields.CKEditor5Field(verbose_name='Content')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='policies', to='core.policytype')),
            ],
            options={
                'verbose_name_plural': 'Company Policy',
            },
        ),
        migrations.CreateModel(
            name='SiteThemeSettings',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('topBgColor', wagtail_color_panel.fields.ColorField(default='#FFFFFF', max_length=7, verbose_name='BG')),
                ('topFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='FG')),
                ('topHoverColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Hover')),
                ('menuBgColor', wagtail_color_panel.fields.ColorField(default='#FFFFFF', max_length=7, verbose_name='BG')),
                ('menuFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='FG')),
                ('menuHoverBGColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Hover BG')),
                ('menuHoverFGColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Hover FG')),
                ('footerBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='BG')),
                ('footerFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='FG')),
                ('footerHoverColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Hover')),
                ('arrowBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='BG')),
                ('arrowFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='FG')),
                ('arrowHoverColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Hover')),
                ('bannerBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='BG')),
                ('bannerFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='FG')),
                ('dbTitleBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Title BG')),
                ('dbTitleFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Title FG')),
                ('dbBodyBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Body BG')),
                ('dbBodyFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Body FG')),
                ('tileBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='BG')),
                ('tileFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='FG')),
                ('tileHoverColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Hover')),
                ('quoteBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='BG')),
                ('quoteFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='FG')),
                ('quoteHoverBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Hover BG')),
                ('quoteHoverFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Hover FG')),
                ('searchBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='BG')),
                ('searchFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='FG')),
                ('menuListBgColor', wagtail_color_panel.fields.ColorField(default='#f0f0f0', max_length=7, verbose_name='BG')),
                ('menuListFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='FG')),
                ('menuListHoverBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Hover BG')),
                ('menuListHoverFgColor', wagtail_color_panel.fields.ColorField(default='#FFFFFF', max_length=7, verbose_name='Hover FG')),
                ('menuImgTileBgColor', wagtail_color_panel.fields.ColorField(default='#FFFFFF', max_length=7, verbose_name='BG')),
                ('menuImgTileFgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='FG')),
                ('menuImgTileHoverBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='Hover BG')),
                ('menuImgTileHoverFgColor', wagtail_color_panel.fields.ColorField(default='#FFFFFF', max_length=7, verbose_name='Hover FG')),
                ('site', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='wagtailcore.site')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SocialPlatform',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('title', models.CharField(max_length=100, verbose_name='Name')),
                ('soLogoText', models.CharField(blank=True, max_length=250, null=True, verbose_name='Icon Text')),
                ('soPlURL', models.URLField(blank=True, null=True, verbose_name='Share URL')),
                ('iconColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Icon Color')),
                ('iconHoverColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Icon Hover Color')),
                ('logo', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='wagtailimages.image', verbose_name='Icon Image')),
                ('type', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='social_platforms', to='core.socialtype')),
            ],
            options={
                'verbose_name': 'Social Platform',
                'db_table': 'common_socialPlatform',
            },
        ),
        migrations.CreateModel(
            name='Social',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('soTitle', models.CharField(blank=True, help_text='Social Plateform Name e.g: Facebook,Instagram', max_length=255, null=True, verbose_name='Title')),
                ('soUserId', models.CharField(blank=True, help_text='Social User Id', max_length=255, null=True, verbose_name='User Id')),
                ('TextfgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG')),
                ('hoverBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Hover BG')),
                ('hoverFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Hover FG')),
                ('soLogoText', models.CharField(blank=True, max_length=250, null=True, verbose_name='Logo Text')),
                ('soUrl', models.CharField(help_text='For Whatsapp use https://wa.me/8859XXXXXX', max_length=255, null=True, verbose_name='URL')),
                ('soLogo', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Icon')),
                ('type', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='web_socials', to='core.socialtype')),
            ],
            options={
                'verbose_name': 'Web Social Link',
                'verbose_name_plural': 'Web Social Links',
                'ordering': ['soTitle'],
            },
        ),
    ]
